Subject: Re: demuxing irqs

From: Roland Dreier <[email-masked]>
Date: Sat, 13 Sep 2008 15:41:35 -0700

> Can someone point me at a simple example of how to demux irqs using
 > the powerpc irq functions? I have eight devices on a single irq and I
 > want to turn them into virtual irqs.

Sorry about the previous reply.

Anyway, what are you going to demux based on?  Do you have some other
signal you can read in the interrupt dispatch code that tells you which
device raised the interrupt?  What happens if two devices raise an
interrupt at the same time?

If you just have 8 interrupt lines wire-ORed together then you probably
just need to register your interrupt handlers with IRQF_SHARED and run 8
interrupt handlers on an interrupt.

 - R.